VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
IAutomationState Class Referenceabstract

Extended plug-in interface IEditController: Vst::IAutomationState. More...

`#include <ivstautomationstate.h>`

Inheritance diagram for IAutomationState:

## Public Types
enum | AutomationStates : int32 { kNoAutomation = 0 , kReadState = 1 << 0 , kWriteState = 1 << 1 , kReadWriteState = kReadState | kWriteState }

## Public Member Functions
virtual tresult | setAutomationState (int32 state)=0
| Sets the current Automation state.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended plug-in interface IEditController: Vst::IAutomationState.

- [plug imp]
- [extends IEditController]
- [released: 3.6.5]
- [optional]

Hosts can inform the plug-in about its current automation state (Read/Write/Nothing).

## Member Enumeration Documentation

## ◆ AutomationStates

enum AutomationStates : int32

Enumerator
kNoAutomation | Not Read and not Write.
kReadState | Read state.
kWriteState | Write state.
kReadWriteState | Read and Write enable.

## Member Function Documentation

## ◆ setAutomationState()

virtual tresult setAutomationState | ( | int32 | state | ) |
| pure virtual

Sets the current Automation state.

Note
  [UI-thread & Connected]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.